import { request } from '@/utils/request';
import type { addMenuDto, delMenuDto, getMenuListDto } from '@/types/BiMenu';

/**
 * 新增菜单
 * @param addMenuDto
 * @returns
 */
const addMenu = (data: addMenuDto) =>
  request('/bi-manager/menu/addMenu', 'post', data);

/**
 * 新增菜单
 * @param addMenuDto
 * @returns
 */
const editMenu = (data: addMenuDto) =>
  request('/bi-manager/menu/editMenu', 'post', data);

/**
 * 删除菜单
 * @param delMenuDto
 * @returns
 */
const delMenu = (data: delMenuDto) =>
  request('/bi-manager/menu/delMenu', 'post', data);

/**
 * 查询
 * @param getMenuListDto
 * @returns
 */
const getMenuList = (data: getMenuListDto) =>
  request('/bi-manager/menu/getMenuList', 'post', data);

export default { addMenu, editMenu, delMenu, getMenuList };
